%define        javahome %{_jvmdir}/jdk
Name:          java-pentaho-reporting-flow-engine
Version:       0.9.4
Release:       2mamba
Summary:       Pentaho Flow Reporting Engine 
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/jfreereport/
Source:        http://downloads.sourceforge.net/project/jfreereport/10.%20Flow%20Engine/%{version}/flow-engine-%{version}.zip
Patch0:        java-pentaho-reporting-flow-engine-0.9.4-remove-commons-logging.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
BuildRequires: apache-ant
BuildRequires: java-flute
BuildRequires: java-jfree-libbase
BuildRequires: java-jfree-libfonts
BuildRequires: java-jfree-liblayout
BuildRequires: java-jfree-librepository
BuildRequires: java-jfree-libformula
BuildRequires: java-jfree-libserializer
BuildRequires: java-sac
BuildRequires: java-jfree-libloader
BuildRequires: java-pentaho-libxml
Requires:      java-flute
Requires:      java-jfree-libbase
Requires:      java-jfree-libfonts
Requires:      java-jfree-liblayout
Requires:      java-jfree-librepository
Requires:      java-jfree-libformula
Requires:      java-jfree-libserializer
Requires:      java-sac
Requires:      java-jfree-libloader
Requires:      java-pentaho-libxml
Requires:      javapackages
Provides:      jfreereport = %{?epoch:%epoch:}%{version}-%{release}

%description
Pentaho Reporting Flow Engine is a free Java report library, formerly known as "JFreeReport" 

%prep
%setup -q -c %{name}-%{version}
%patch0 -p1 -b .remove-commons-logging
mkdir -p lib
find . -name "*.jar" -exec rm -f {} \;
build-jar-repository -s -p lib libbase libloader \
    libfonts libxml libformula librepository sac flute liblayout \
    libserializer

%build
ant jar javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -pm 644 build/lib/flow-engine.jar %{buildroot}%{_javadir}/flow-engine-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/flow-engine-%{version}.jar
%{_javadir}/flow-engine.jar
%doc licence-LGPL.txt

%changelog
* Fri Dec 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4-2mamba
- rebuilt

* Sat Jan 22 2011 gil <puntogil@libero.it> 0.9.4-1mamba
- update to 0.9.4

* Wed Dec 09 2009 gil <puntogil@libero.it> 0.9.2-1mamba
- package created by autospec
